Bug 1656990 - Fonticons broken on the Alerts Overview screen
Summary: Fonticons broken on the Alerts Overview screen
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1657400
TreeView+ depends on / blocked
 
Reported: 2018-12-06 19:39 UTC by Eric Winchell
Modified: 2019-02-12 16:49 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1657400 (view as bug list)
Environment:
Last Closed: 2019-02-12 16:49:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
broken img (55.03 KB, image/png)
2018-12-06 19:39 UTC, Eric Winchell
no flags Details

Description Eric Winchell 2018-12-06 19:39:16 UTC
Created attachment 1512244 [details]
broken img

Description of problem:

Fonticons are broken on the Alerts Overview screen

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. to go Monitoring > Alerts > Overview
2. Observe the card(s) under Production
3.

Actual results:

Shows a broken image

Expected results:

Should show a properly rendered fonticon


Additional info:

Comment 3 CFME Bot 2018-12-07 07:51:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/437622359b2240928dbf90012aee2aa8fe78fb32
commit 437622359b2240928dbf90012aee2aa8fe78fb32
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Dec  6 14:46:24 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Dec  6 14:46:24 2018 -0500

    Do not try to display icon as image on Monitoring -> Alerts cards

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1656990

 app/views/shared/views/_show_alerts_overview.html.haml | 3 +-
 1 file changed, 1 insertion(+), 2 deletions(-)

Comment 5 CFME Bot 2018-12-10 16:01:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f5e9261a19912c25c86aeaa5ae35b8392720b159
commit f5e9261a19912c25c86aeaa5ae35b8392720b159
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Dec  7 02:49:04 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Dec  7 02:49:04 2018 -0500

    Merge pull request #5059 from skateman/alert-card-image

    Do not try to display icon as image on Monitoring -> Alerts cards

    (cherry picked from commit ae780ebd508b791876c3e66a7dd82b08f4f5cb3d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1656990

 app/views/shared/views/_show_alerts_overview.html.haml | 3 +-
 1 file changed, 1 insertion(+), 2 deletions(-)

Comment 6 John Dupuy 2019-01-02 18:19:13 UTC
Verified in 5.10.0.29.20181211195209_fd990a9. 

Steps of verification:
1) Prepare appliance with a fired alert
2) Navigate to Monitor->Alerts->Overview page
3) Verified that no icon is displayed as an image on Monitor->Alerts cards


Note You need to log in before you can comment on or make changes to this bug.